Bug 1285497 - "[drm:radeon_cs_ioctl [radeon]] *ERROR* Invalid command stream !" at each start of Fedora, Evergreen
"[drm:radeon_cs_ioctl [radeon]] *ERROR* Invalid command stream !" at each sta...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 13:47 EST by Benjamin Bellec
Modified: 2016-12-20 11:17 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:17:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg log (72.91 KB, text/plain)
2015-11-25 13:47 EST, Benjamin Bellec
no flags Details
/var/log/Xorg.0.log (56.76 KB, text/plain)
2015-11-25 13:48 EST, Benjamin Bellec
no flags Details
glxinfo (98.58 KB, text/plain)
2015-11-25 13:50 EST, Benjamin Bellec
no flags Details

  None (edit)
Description Benjamin Bellec 2015-11-25 13:47:21 EST
Created attachment 1098936 [details]
dmesg log

Description of problem:
The following warnings appears in dmesg each time the system starts (Fedora Live Workstation x86_64 23). I guess this is related to the GNOME desktop loading.

[   12.057211] radeon 0000:01:00.0: evergreen_surface_check_2d:278 texture pitch 1728 invalid must be aligned with 512
[   12.057214] radeon 0000:01:00.0: evergreen_cs_track_validate_texture:827 texture invalid 0x1a3c35c1 0x40000419 0x060a0000 0x00000000 0x80000000 0x800304da
[   12.057231] [drm:radeon_cs_ioctl [radeon]] *ERROR* Invalid command stream !

Version-Release number of selected component (if applicable):
kernel 4.2.6-300.fc23.x86_64
libdrm 2.4.65-1.fc23
mesa-libGL 11.0.6-1.20151122.fc23

How reproducible:
Always, at each start.

Steps to Reproduce:
1. Start a "Fedora Live Workstation x86_64 23" system with a Radeon HD5850.
2. 
3.

Additional info:
Hardware:
Intel Core i5-2500K / 8GB RAM
AMD Radeon HD5850 (CYPRESS) with 1GB VRAM

OpenGL vendor string: X.Org
OpenGL renderer string: Gallium 0.4 on AMD CYPRESS (DRM 2.43.0, LLVM 3.7.0)
OpenGL core profile version string: 3.3 (Core Profile) Mesa 11.0.6 (git-2555e00)
Comment 1 Benjamin Bellec 2015-11-25 13:48 EST
Created attachment 1098937 [details]
/var/log/Xorg.0.log
Comment 2 Benjamin Bellec 2015-11-25 13:50 EST
Created attachment 1098938 [details]
glxinfo
Comment 3 Benjamin Bellec 2015-11-26 14:12:52 EST
More information:
The error occurs only when you log on the GNOME desktop from the login module (GDM ?). If you have an auto-login configured, then it doesn't occur.

So to tested this easily from a Fedora 23 "GNOME" LiveDVD/USB :
1) Boot the LiveDVD/USB
2) (now you're on the GNOME desktop) Log out
3) Login (liveuser without password)
4) check dmesg

I tried to test with a F22 LiveUSB, but when I log out from GNOME desktop, I don't spawn on the login module (GDM ?) but on a dummy TTY with some system message... The TTY is no more usable at this time.
Comment 4 Fedora End Of Life 2016-11-24 08:44:27 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 11:17:45 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.